## captainblood-archive-keyring 2022.1~deb8u1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install
GPG_KEY_ID=0xF969C0407114B0C2
GPG_KEY_FILE=src/etc/apt/trusted.gpg.d/captainblood-archive-keyring.gpg
GPG_KEY_SERVER=hkps://hkps.pool.sks-keyservers.net
GPG_KEY_SERVER_CA=sks-keyservers.netCA.pem
GPG_TEMP_DIR:=$(shell mktemp -d)

all: 

update:
	cp "$(GPG_KEY_SERVER_CA)" "$(GPG_TEMP_DIR)"
	echo "hkp-cacert $(GPG_TEMP_DIR)/$(GPG_KEY_SERVER_CA)" > "$(GPG_TEMP_DIR)/dirmngr.conf"
	gpg --homedir "$(GPG_TEMP_DIR)" --keyserver "$(GPG_KEY_SERVER)" --recv-keys "$(GPG_KEY_ID)"
	gpg --homedir "$(GPG_TEMP_DIR)" --export --export-options export-minimal "$(GPG_KEY_ID)" > "$(GPG_KEY_FILE)"
	gpg --homedir "$(GPG_TEMP_DIR)" --list-keys "$(GPG_KEY_ID)"
	rm -rf "$(GPG_TEMP_DIR)"

install:
	$(INSTALL) -d $(DESTDIR)/etc/apt/trusted.gpg.d
	$(INSTALL) -m 644 src/etc/apt/trusted.gpg.d/*.gpg $(DESTDIR)/etc/apt/trusted.gpg.d

clean:

## captainblood-archive-keyring 2022.1~deb7u1

=== debian/changelog ===
captainblood-archive-keyring (2022.1~deb7u1) wheezy; urgency=medium

  * Rebuild for wheezy
  * [7f84d6e] Update keyring for 2022

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Jan 2022 16:47:06 +0100

captainblood-archive-keyring (2021.1~deb7u1) wheezy; urgency=medium

  * Rebuild for wheezy
  * [4a4c390] Revert Standards-Version to 3.9.4
  * [e823bdd] Revert debhelper compatibility level to 9
  * [5fe66f5] Add Build-Depends dpkg-dev (>= 1.16.1~)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 01 Dec 2020 20:34:18 +0100

captainblood-archive-keyring (2021.1) unstable; urgency=medium

  * [624a208] Add SKS pool CA certificate
  * [e91d8f9] Update keyring for 2021
  * [1fd583c] debian/copyright: update copyright year to 2021
  * [8ed11b5] Bump Standards-Version to 4.5.1
  * [3350ee4] Drop old lintian overrides:
    - testsuite-autopkgtest-missing
    - extended-description-is-probably-too-short

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 01 Dec 2020 20:22:58 +0100

captainblood-archive-keyring (2020.1) unstable; urgency=medium

  * [cdd7d88] Update keyring for 2020
  * [9a01100] debian/copyright: update copyright year to 2020
  * [0570a79] Bump Standards-Version to 4.4.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 02 Dec 2019 11:54:50 +0100

captainblood-archive-keyring (2019.5) unstable; urgency=medium

  * [bdbb890] Remove code to delete key from main keyring.
    It's not the package's job to cleanup the main keyring. This also
    lightens the dependencies, since from Buster onwards, gnupg's priority
    was lowered to optional, as APT never relied on it to use keys (only to
    manage them).
  * [45554af] debian/rules: remove unused buildflags
  * [9487d02] Bump Standards-Version to 4.3.0
  * [74ddd1b] Bump debhelper compatibility level to 12

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 15 Jul 2019 16:21:36 +0200

captainblood-archive-keyring (2019.4) unstable; urgency=medium

  * [6aff817] Fix key removal from main keyring function (again)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 05 Dec 2018 16:31:55 +0100

captainblood-archive-keyring (2019.3) unstable; urgency=medium

  * [04684ef] Better implement key removal from main keyring
  * [196eab8] Really bump debhelper compat level to 11

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 04 Dec 2018 15:44:21 +0100

captainblood-archive-keyring (2019.2) unstable; urgency=medium

  * [14175bb] Change package name
  * [38e462c] Remove key from main keyring if applicable

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Dec 2018 19:35:30 +0100

captainblood-keyring (2019.1) unstable; urgency=medium

  * [ab06d19] Makefile: update key from keyserver
  * [cbdaf98] Update keyring for 2019
  * [4b7ab3e] debian/copyright: update copyright year to 2019
  * [2fda5e8] Bump Standards-Version to 4.2.1
  * [28d7390] Bump debhelper compat level to 11
  * [6255db6] debian/control: add "Rules-Requires-Root" field
  * [5949a5b] debian/control: remove "Bugs" field
  * [d833c9c] Override lintian warning about missing test suite
  * [1f9c3d2] Override lintian warning about file in /etc/apt/trusted.gpg.d

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 01 Dec 2018 20:21:48 +0100

captainblood-keyring (2018.1) unstable; urgency=medium

  * [671244a] Update keyring for 2018
  * [75e6765] debian/copyright: update copyright year to 2018
  * [e844b8a] Bump Standards-Version to 4.1.2
    - Priority: extra -> optional

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 02 Dec 2017 17:04:21 +0100

captainblood-keyring (2017.01.03) unstable; urgency=low

  * [81ab221] Update keyring for 2017
  * [a1a72c1] Bump Standards-Version to 3.9.8, no changes required
  * [02f2ead] Bump debhelper compat level to 10, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 03 Jan 2017 09:25:28 +0100

captainblood-keyring (1.3) unstable; urgency=medium

  * Remove personal key from Makefile
  * Remove personal key from keyring
  * Replace gnupg by gpgv in Depends and move gnupg to Recommends

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 17 Mar 2016 18:45:12 +0100

captainblood-keyring (1.2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7, no changes required
  * Add Automatic Signing Key to Makefile
  * Add Automatic Signing Key to keyring

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 Feb 2016 13:49:32 +0100

captainblood-keyring (1.1) unstable; urgency=medium

  * Add update command to Makefile
  * Add (empty for now) debian/gbp.conf
  * Update keyring for 2016

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 27 Dec 2015 15:47:02 +0100

captainblood-keyring (1.0) stable; urgency=medium

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 21 Dec 2014 16:09:31 +0100

=== debian/control ===
Source: captainblood-archive-keyring
Section: misc
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Homepage: http://www.captainblood.org
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
Rules-Requires-Root: no

Package: captainblood-archive-keyring
Architecture: all
Depends: ${misc:Depends}
Replaces: captainblood-keyring (<< 2019.2~)
Breaks: captainblood-keyring (<< 2019.2~)
Description: GnuPG archive key of the captainblood repository
 The captainblood repository digitally signs its files. This package contains
 the repository key used for that, provided in a fragment file for apt.

Package: captainblood-keyring
Architecture: all
Depends: captainblood-archive-keyring (>= ${source:Version}), ${misc:Depends}
Description: Transitional dummy package for captainblood-archive-keyring
 This is a transitional dummy package. It can safely be removed.

## captainblood-archive-keyring 2022.1~deb8u1

=== debian/changelog ===
captainblood-archive-keyring (2022.1~deb8u1) jessie; urgency=medium

  * Rebuild for jessie
  * [befac8c] Update keyring for 2022

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Jan 2022 18:58:36 +0100

captainblood-archive-keyring (2021.1~deb8u1) jessie; urgency=medium

  * Rebuild for jessie
  * [8e9a2eb] Revert Standards-Version to 3.9.6
  * [157fa82] Revert debhelper compatibility level to 9

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 01 Dec 2020 20:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Homepage: http://www.captainblood.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)
 Rules-Requires-Root: no

## captainblood-archive-keyring 2026.1~deb9u1

=== debian/changelog ===
captainblood-archive-keyring (2026.1~deb9u1) stretch; urgency=medium

  * [a7e68f9] Rename Debian branch (DEP-14)
  * [d308383] Update keyring for 2026
  * [31b33a5] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:54:24 +0100

captainblood-archive-keyring (2025.1~deb9u1) stretch; urgency=medium

  * [009dd23] Remove old transitional package
  * [1cee237] Remove old useless SKS CA certificate
  * [ede5bec] Update files hierarchy
    - Export key in both OpenPGP binary format and ASCII armored format
    - Install binary key in /usr/share/keyrings
    - Install ASCII key in /etc/apt/trusted.gpg.d
  * [8fa7c93] Update keyring for 2025
  * [9171580] Update copyright years
  * [d77de35] Revert previous installation paths
    - Install only binary key in /etc/apt/trusted.gpg.d

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 06 Dec 2024 08:35:21 +0100

captainblood-archive-keyring (2024.1~deb9u1) stretch; urgency=medium

  * [6e8c9e0] Update keyring for 2024
  * [befb1ac] debian/copyright: update copyright year to 2024
  * [6b85c48] Silence lintian warning about short extended description

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Dec 2023 15:45:17 +0100

captainblood-archive-keyring (2023.1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 01 Dec 2022 13:38:34 +0100

captainblood-archive-keyring (2023.1) unstable; urgency=medium

  * [b825cbd] Update keyserver in Makefile
  * [5cc08b0] Update keyring for 2023
  * [fa43609] debian/copyright: update copyright year to 2023

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 01 Dec 2022 13:31:51 +0100

captainblood-archive-keyring (2022.1) unstable; urgency=medium

  * [2bded1d] Makefile: use Ubuntu keyserver (sks-keyservers pool is dead)
  * [014807a] Update keyring for 2022
  * [68ce10f] debian/copyright: update copyright year to 2022
  * [c632c74] Bump Standards-Version to 4.6.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 02 Dec 2021 19:50:49 +0100

=== debian/control ===
Source: captainblood-archive-keyring
Section: misc
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Homepage: http://www.captainblood.org
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10)
Rules-Requires-Root: no

Package: captainblood-archive-keyring
Architecture: all
Depends: ${misc:Depends}
Description: GnuPG archive key of the captainblood repository
 The captainblood repository digitally signs its files. This package contains
 the repository key used for that, provided in a fragment file for apt.

## captainblood-archive-keyring 2026.1~deb10u1

=== Makefile ===
# Minimalistic Makefile

INSTALL = /usr/bin/install
GNUPG_DIR = gnupg_homedir
KEY_SERVER = hkps://keyserver.ubuntu.com
KEY_GRIP = 38D8FF185739B69C4FBC590CF969C0407114B0C2
KEY_DIR = keyrings
KEY_FILE = captainblood-archive-keyring

all: 

update:
	$(INSTALL) -d $(KEY_DIR)
	$(INSTALL) -d -m 700 $(GNUPG_DIR)
	gpg --homedir $(GNUPG_DIR) --keyserver $(KEY_SERVER) --recv-keys $(KEY_GRIP)
	gpg --homedir $(GNUPG_DIR) --export --export-options export-minimal $(KEY_GRIP) > $(KEY_DIR)/$(KEY_FILE).gpg
	gpg --homedir $(GNUPG_DIR) --export --export-options export-minimal --armor $(KEY_GRIP) > $(KEY_DIR)/$(KEY_FILE).asc
	rm -rf "$(GNUPG_DIR)"

install:
	$(INSTALL) -d $(DESTDIR)/etc/apt/trusted.gpg.d
	$(INSTALL) -m 644 $(KEY_DIR)/$(KEY_FILE).gpg $(DESTDIR)/etc/apt/trusted.gpg.d

clean:

=== debian/changelog ===
captainblood-archive-keyring (2026.1~deb10u1) buster; urgency=medium

  * [245f260] Rename Debian branch (DEP-14)
  * [e0d3c9c] Update keyring for 2026
  * [66a1921] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:53:48 +0100

captainblood-archive-keyring (2025.1~deb10u1) buster; urgency=medium

  * [3d47548] Remove old transitional package
  * [3ec784a] Remove old useless SKS CA certificate
  * [225c4bf] Update files hierarchy
    - Export key in both OpenPGP binary format and ASCII armored format
    - Install binary key in /usr/share/keyrings
    - Install ASCII key in /etc/apt/trusted.gpg.d
  * [76b1ee1] Update keyring for 2025
  * [c44ba6b] Update copyright years
  * [1b9a5f1] Revert previous installation paths
    - Install only binary key in /etc/apt/trusted.gpg.d

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 06 Dec 2024 08:32:18 +0100

captainblood-archive-keyring (2024.1~deb10u1) buster; urgency=medium

  * [8ca94aa] Update keyring for 2024
  * [c11ffb4] debian/copyright: update copyright year to 2024
  * [f961385] Silence lintian warning about missing test suite
  * [79b3fb6] Silence lintian warning about changelog missing entry
  * [668861a] Silence lintian warning about short extended description

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Dec 2023 15:42:43 +0100

captainblood-archive-keyring (2023.1~deb10u1) buster; urgency=medium

  * Rebuild for buster

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 01 Dec 2022 13:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Homepage: http://www.captainblood.org
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10)
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no
 
 Package: captainblood-archive-keyring

## captainblood-archive-keyring 2026.1~deb11u1

=== debian/changelog ===
captainblood-archive-keyring (2026.1~deb11u1) bullseye; urgency=medium

  * [99296d9] Rename Debian branch (DEP-14)
  * [56e1f11] Update keyring for 2026
  * [b14c08b] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:53:32 +0100

captainblood-archive-keyring (2025.1~deb11u1) bullseye; urgency=medium

  * [843b63f] Remove old transitional package
  * [d51397c] Remove old useless SKS CA certificate
  * [83a02f6] Update files hierarchy
    - Export key in both OpenPGP binary format and ASCII armored format
    - Install binary key in /usr/share/keyrings
    - Install ASCII key in /etc/apt/trusted.gpg.d
  * [3497e53] Update keyring for 2025
  * [c748ccb] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 06 Dec 2024 08:26:32 +0100

captainblood-archive-keyring (2024.1~deb11u1) bullseye; urgency=medium

  * [a824f7b] Update keyring for 2024
  * [f8dbad3] debian/copyright: update copyright year to 2024
  * [1c65bc1] Silence lintian warning about changelog missing entry

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Dec 2023 15:10:04 +0100

captainblood-archive-keyring (2023.1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 01 Dec 2022 13:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Homepage: http://www.captainblood.org
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no

## captainblood-archive-keyring 2026.1~deb12u1

=== debian/changelog ===
captainblood-archive-keyring (2026.1~deb12u1) bookworm; urgency=medium

  * [d004d2e] Rename Debian branch (DEP-14)
  * [8671104] Update keyring for 2026
  * [1f02405] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:53:11 +0100

captainblood-archive-keyring (2025.1~deb12u1) bookworm; urgency=medium

  * [ab1338f] Remove old transitional package
  * [9550d34] Remove old useless SKS CA certificate
  * [f33f754] Update files hierarchy
    - Export key in both OpenPGP binary format and ASCII armored format
    - Install binary key in /usr/share/keyrings
    - Install ASCII key in /etc/apt/trusted.gpg.d
  * [1a0198d] Update keyring for 2025
  * [9aa62df] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 06 Dec 2024 08:25:36 +0100

captainblood-archive-keyring (2024.1~deb12u1) bookworm; urgency=medium

  * [20df568] Set Debian branch in debian/gbp.conf
  * [bd094e6] Update keyring for 2024
  * [5a9a2b5] debian/copyright: update copyright year to 2024
  * [b36fe7f] Bump Standards-Version to 4.6.2
  * [95dab55] Silence lintian warning about changelog missing entry

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Dec 2023 15:02:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Homepage: http://www.captainblood.org
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no

## captainblood-archive-keyring 2026.1~deb13u1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	rm -rf "$(GNUPG_DIR)"
 
 install:
+	$(INSTALL) -d $(DESTDIR)/usr/share/keyrings
 	$(INSTALL) -d $(DESTDIR)/etc/apt/trusted.gpg.d
-	$(INSTALL) -m 644 $(KEY_DIR)/$(KEY_FILE).gpg $(DESTDIR)/etc/apt/trusted.gpg.d
+	$(INSTALL) -m 644 $(KEY_DIR)/$(KEY_FILE).gpg $(DESTDIR)/usr/share/keyrings
+	$(INSTALL) -m 644 $(KEY_DIR)/$(KEY_FILE).asc $(DESTDIR)/etc/apt/trusted.gpg.d
 
 clean:

=== debian/changelog ===
captainblood-archive-keyring (2026.1~deb13u1) trixie; urgency=medium

  * [2f8bbe0] Bump Standards-Version to 4.7.2
  * [f1d6e47] Set Debian branch in debian/gbp.conf
  * [124e476] Update keyring for 2026
  * [5e96f49] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:52:51 +0100

captainblood-archive-keyring (2025.1) unstable; urgency=medium

  * [75c4126] Remove old transitional package
  * [c26534a] Remove old useless SKS CA certificate
  * [bf965cc] Update files hierarchy
    - Export key in both OpenPGP binary format and ASCII armored format
    - Install binary key in /usr/share/keyrings
    - Install ASCII key in /etc/apt/trusted.gpg.d
  * [75f4f14] Update keyring for 2025
  * [ec2c1d1] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 06 Dec 2024 08:21:23 +0100

captainblood-archive-keyring (2024.1) unstable; urgency=medium

  * [e0c49ad] Update keyring for 2024
  * [0b5ba47] debian/copyright: update copyright year to 2024
  * [cf4d5e6] Bump Standards-Version to 4.6.2

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Dec 2023 14:42:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Homepage: http://www.captainblood.org
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no

## captainblood-archive-keyring 2026.1

=== debian/changelog ===
captainblood-archive-keyring (2026.1) unstable; urgency=medium

  * [2f8bbe0] Bump Standards-Version to 4.7.2
  * [cb4905d] Update keyring for 2026
  * [88db72f] Update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Dec 2025 12:52:24 +0100
